/*
 * @Author: 吴永生#A02208 yongsheng.wu@wholion.com
 * @Date: 2022-06-21 20:03:56
 * @LastEditors: 吴永生#A02208 yongsheng.wu@wholion.com
 * @LastEditTime: 2022-07-06 18:35:24
 * @FilePath: /bkunyun/src/views/Project/ProjectSubmitWork/index.tsx
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import React, { useState } from "react";
import ArrowBackIosNewIcon from "@mui/icons-material/ArrowBackIosNew";
import IconButton from "@mui/material/IconButton";
import { useLocation, useNavigate } from "react-router-dom";

import MyPopconfirm from "@/components/mui/MyPopconfirm";
import ButtonComponent from "@/components/mui/Button";
import { ITemplateConfig } from "../Project/ProjectSubmitWork/interface";
import OperatorList from "./components/OperatorList";

import styles from "./index.module.css";

const WorkFlowEdit = () => {
	const [templateConfigInfo, setTemplateConfigInfo] =
		useState<ITemplateConfig>();
	const location: any = useLocation();
	const navigate = useNavigate();

	return (
		<div className={styles.swBox}>
			<div className={styles.swHeader}>
				<div className={styles.swHeaderLeft}>
					<MyPopconfirm
						title="返回后，当前页面已填写内容将不保存，确认返回吗？"
						onConfirm={() => console.log(11)}
					>
						<IconButton
							color="primary"
							// onClick={() => handleGoBack()}
							aria-label="upload picture"
							component="span"
							size="small"
						>
							<ArrowBackIosNewIcon
								sx={{
									color: "rgba(194, 198, 204, 1)",
									width: "12px",
									height: "12px",
								}}
							/>
						</IconButton>
					</MyPopconfirm>
				</div>
				<div className={styles.swHeaderRight}>
					<MyPopconfirm
						title="提交前请先确认参数填写无误，确认提交吗？"
						onConfirm={() => console.log(2)}
					>
						<ButtonComponent
							text="保存"
							// click={handleSubmitForm}
						></ButtonComponent>
					</MyPopconfirm>
				</div>
			</div>
			<div className={styles.swContent}>
				<div className={styles.swFormBox}>
					<OperatorList />
				</div>
				<div className={styles.swFlowBox}>右侧</div>
			</div>
		</div>
	);
};

export default WorkFlowEdit;
